%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-XQL

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux.de>

Summary:	A Perl module that allows you to perform XQL queries on XML trees
Name:		perl-%{perlname}
Version:	0.68
Release:	5
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+XQL
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Parse-Yapp
BuildRequires:	perl-Date-Manip
BuildRequires:	perl-libwww-perl
BuildRequires:	perl-libxml-perl

%description
A Perl module that allows you to perform XQL queries on XML trees
For more details see: http://search.cpan.org/search?module=XML+XQL

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.68-5
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.68-4
- Rebuild against perl 5.8.8
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.68-3
- Rebuild against perl 5.8.7
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.68-2
- Build SRPM
* Mon Apr 19 2004 Christian Metzen <metzench@ccux.de> 0.68-1
- Initial Release
